=== modified file 'src/ssl/support.cc'
--- src/ssl/support.cc	2010-12-14 12:17:34 +0000
+++ src/ssl/support.cc	2011-01-24 01:37:08 +0000
@@ -427,8 +427,11 @@
     char *tmp;
     char *option;
 
-    if (!options)
-        goto no_options;
+    if (!options) {
+        // default excludes SSLv2 which is not safe.
+        op &= ~SSL_OP_NO_SSLv2;
+        return op;
+    }
 
     tmp = xstrdup(options);
 
@@ -494,7 +497,6 @@
 
     safe_free(tmp);
 
-no_options:
     return op;
 }
 
@@ -698,7 +700,7 @@
     case 1:
 
     default:
-        debugs(83, 5, "Using SSLv2/SSLv3.");
+        debugs(83, 5, "Using SSLv3/TLSv1.");
         method = SSLv23_server_method();
         break;
     }
@@ -896,7 +898,7 @@
     case 1:
 
     default:
-        debugs(83, 5, "Using SSLv2/SSLv3.");
+        debugs(83, 5, "Using SSLv3/TLSv1.");
         method = SSLv23_client_method();
         break;
     }

